<?xml version="1.0" encoding="utf-8"?>
<Project>
  <Choose>
    <!-- net-->
    <When Condition=" '$(TargetFramework)' == 'net8.0' ">
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="6.0.0" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net7.0' ">
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="6.0.0" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net6.0' ">
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="6.0.0" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net5.0' ">
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="5.0.3" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <!-- netcoreapp -->
    <When Condition=" '$(TargetFramework)' == 'netcoreapp3.1' ">
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netcoreapp3.0' ">
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netcoreapp2.2' ">
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netcoreapp2.1' ">
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netcoreapp2.0' ">
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netcoreapp1.1' ">
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netcoreapp1.0' ">
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <!-- netstandard -->
    <When Condition=" '$(TargetFramework)' == 'netstandard1.6' ">
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netstandard1.5' ">
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netstandard1.4' ">
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netstandard1.3' ">
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netstandard1.2' ">
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netstandard1.1' ">
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'netstandard1.0' ">
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>

    <!-- netframework -->
    <When Condition=" '$(TargetFramework)' == 'net482' " >
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net481' " >
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net48' " >
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net472' " >
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net471' " >
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net47' " >
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net463' " >
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net462' " >
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net461' " >
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net46' " >
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net45' " >
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net403' " >
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net40' " >
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net35' " >
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net30' " >
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    <When Condition=" '$(TargetFramework)' == 'net20' " >
      <ItemGroup>
        <PackageReference Remove="System.Drawing.Common" />
      </ItemGroup>
    </When>
    
    <Otherwise>
      <ItemGroup>
        <PackageReference Update="System.Drawing.Common" Version="8.0.4" Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="System.Drawing.Common" Version="4.7.2" Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </Otherwise>
  </Choose>
</Project>